"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ParsedNgText = void 0;
const interface_1 = require("./interface");
class ParsedNgText {
    constructor(node, parent, index) {
        this.node = node;
        this.parent = parent;
        this.index = index;
        this.kind = interface_1.NgNodeKind.Text;
    }
    getNodeMeta() {
        return {
            kind: interface_1.NgNodeKind.Text,
            value: this.node.value,
            index: this.index,
        };
    }
}
exports.ParsedNgText = ParsedNgText;
