import { ComponentRef } from '@angular/core';
import { LView } from 'angular-miniprogram/platform/type';
import type { MPView, NodePath } from 'angular-miniprogram/platform/type';
export declare const LVIEW_CONTEXT = 8;
export declare const INJECTOR = 9;
/** @internal */
export declare function propertyChange(lView: LView): void;
export declare function endRender(): void;
export declare function getPageRefreshContext(lView: LView): Partial<MPView>;
export declare function setLViewPath(lView: LView, nodePath: NodePath): void;
export declare function updatePath(context: MPView, nodePath: NodePath): MPView;
export declare function resolveNodePath(list: NodePath): any;
export declare function findCurrentElement(lView: LView, list?: NodePath): any;
export declare function lViewLinkToMPComponentRef(ref: any, lView: LView): void;
export declare function cleanWhenDestroy(lView: LView, fn: () => void): void;
export declare function cleanAll(lView: LView): void;
export declare function findPageLView(componentRef: ComponentRef<unknown>): {
    lView: any;
    id: number;
};
export declare function removePageLViewLink(id: number): void;
export declare function getDiffData(lView: LView, currentData: Record<string, any>): Record<string, any>;


